#!/bin/sh
# Auto configuration for sylcd

# inb() to steer the parallel port
echo -ne >&2 "Looking for inb... "
if grep -qe "inb *(" /usr/include/sys/io.h; then
    echo >&2 "glibc"
    echo "#define HAS_INB                1"
    echo "#define HAS_INB_SYS_IO_H       1"
else
    echo "#undef HAS_INB_SYS_IO_H"

    if grep -qe "inb *(" /usr/include/machine/pio.h; then
        echo >&2 "openbsd / netbsd"
        echo "#define HAS_INB                1"
        echo "#define HAS_INB_MACH_PIO_H     1"
    else
        echo "#undef HAS_INB_MACH_PIO_H"

        if grep -qe "inb *(" /usr/include/machine/cpufunc.h; then
            echo >&2 "freebsd"
            echo "#define HAS_INB                1"
            echo "#define HAS_INB_MACH_CPUFUNC_H 1"
        else
            echo >&2 "not found!"
            echo "#undef HAS_INB_MACH_CPUFUNC_H"
        fi
    fi
fi
